classification
Title: Problems with Belarusian Latin locale
Type: behavior Stage:
Components: Unicode Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: asmodai, booxter, terry.reedy
Priority: normal Keywords:

Created on 2008-02-24 21:12 by booxter, last changed 2010-08-04 16:00 by terry.reedy. This issue is now closed.

Messages (5)
msg62939 - (view) Author: Ihar Hrachyshka (booxter) Date: 2008-02-24 21:12
There is a glibc locale: be_BY.UTF-8@latin. If my locale environment is
set to this locale then all i18n-ed programs are shown with proper
translation, except Python-based ones where I see POSIX (?) locale
translation (all in English). Though if I set locale as be_BY@latin then
all goes well. Please fix the behavior of Python programs in my locale.
Affected programs: Sonata MPD client, GnoCHM, Gajim and possibly other.
msg87435 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2009-05-08 11:17
Interesting. I'll see if I can dig into this.
msg112673 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-03 20:43
Is this still a problem in 2.7 or 3.x?
msg112772 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2010-08-04 08:40
Not sure, never got around to dig into it. But we did have some locale fixes, including better picking up default encodings and whatnot.
msg112827 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-04 16:00
Then I will close this as possibly fixed until the OP reports this as not fixed on a current Python version (2.7, 3.1).
History
Date User Action Args
2010-08-04 16:00:20terry.reedysetstatus: open -> closed
resolution: out of date
messages: + msg112827
2010-08-04 08:40:05asmodaisetmessages: + msg112772
2010-08-03 20:43:45terry.reedysetnosy: + terry.reedy

messages: + msg112673
versions: + Python 2.7, - Python 2.5
2009-05-08 11:17:15asmodaisetnosy: + asmodai
messages: + msg87435
2008-03-20 02:45:59jafosetpriority: normal
components: + Unicode, - None
2008-02-24 21:12:45booxtercreate